classification
Title: Disable x87 control word for MSVC ARM compiler
Type: Stage: resolved
Components: Versions:
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: Minmin.Gong, pitrou
Priority: normal Keywords:

Created on 2019-01-17 05:16 by Minmin.Gong, last changed 2019-02-02 22:05 by Minmin.Gong. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11531 merged Minmin.Gong, 2019-01-17 05:16
Messages (2)
msg333821 - (view) Author: Minmin Gong (Minmin.Gong) * Date: 2019-01-17 05:16
Msvc defines _M_ARM for arm target, but it doesn't have x87 control word. Need to disable it to prevent some compiling problems.
msg334176 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2019-01-21 20:49
New changeset 7a2368063f25746d4008a74aca0dc0b82f86ff7b by Antoine Pitrou (Minmin Gong) in branch 'master':
bpo-35758: Fix building on ARM + MSVC (gh-11531)
https://github.com/python/cpython/commit/7a2368063f25746d4008a74aca0dc0b82f86ff7b
History
Date User Action Args
2019-02-02 22:05:49Minmin.Gongsetstatus: open -> closed
stage: resolved
2019-01-21 20:49:44pitrousetnosy: + pitrou
messages: + msg334176
2019-01-17 05:16:02Minmin.Gongcreate